# Module `awful.mouse`

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2008 Julien Danjou
- Release: v3.5.1

## Functions

client_under_pointer () | Get the client object under the pointer.
drawin_under_pointer () | Get the drawin object under the pointer.
mouse.client.snap (c, snap, x, y, fixed_x, fixed_y) | Snap a client to the closest client or screen edge.
mouse.client.move (c, snap) | Move a client.
mouse.client.dragtotag.widget (c) | Move a client to a tag by drag'n'dropping it over a taglist widget
mouse.client.dragtotag.border (c) | Move a client to a tag by dragging it onto the left / right side of the screen
mouse.wibox.move (w) | Move the wibox under the cursor
mouse.client.corner (c, corner) | Get a client corner coordinates.
mouse.client.resize (c, corner) | Resize a client.

## Tables

mouse | Mouse module for awful awful.mouse

## Functions

client_under_pointer ()
  Get the client object under the pointer.

  ### Returns:

  The client object under the pointer, if one can be found.
drawin_under_pointer ()
  Get the drawin object under the pointer.

  ### Returns:

  The drawin object under the pointer, if one can be found.
mouse.client.snap (c, snap, x, y, fixed_x, fixed_y)
  Snap a client to the closest client or screen edge.

  ### Parameters:

  - c The client to snap.
  - snap The pixel to snap clients.
  - x The client x coordinate.
  - y The client y coordinate.
  - fixed_x True if the client isn't allowed to move in the x direction.
  - fixed_y True if the client isn't allowed to move in the y direction.
mouse.client.move (c, snap)
  Move a client.

  ### Parameters:

  - c The client to move, or the focused one if nil.
  - snap The pixel to snap clients.
mouse.client.dragtotag.widget (c)
  Move a client to a tag by drag'n'dropping it over a taglist widget

  ### Parameters:

  - c The client to move
mouse.client.dragtotag.border (c)
  Move a client to a tag by dragging it onto the left / right side of the screen

  ### Parameters:

  - c The client to move
mouse.wibox.move (w)
  Move the wibox under the cursor

  ### Parameters:

  - w The wibox to move, or none to use that under the pointer
mouse.client.corner (c, corner)
  Get a client corner coordinates. bottom_right. Default is auto, and auto find the nearest corner.

  ### Parameters:

  - c The client to get corner from, focused one by default.
  - corner The corner to use: auto, top_left, top_right, bottom_left,

  ### Returns:

  Actual used corner and x and y coordinates.
mouse.client.resize (c, corner)
  Resize a client.

  ### Parameters:

  - c The client to resize, or the focused one by default.
  - corner The corner to grab on resize. Auto detected by default.

## Tables

mouse
  Mouse module for awful awful.mouse

generated by LDoc 1.3